Package com.xebialabs.xlrelease.domain.variables.reference

# Enum Class VariableReference.VariableUsageType

java.lang.Object
java.lang.Enum<VariableReference.VariableUsageType>
com.xebialabs.xlrelease.domain.variables.reference.VariableReference.VariableUsageType

All Implemented Interfaces:
  `Serializable`, `Comparable<VariableReference.VariableUsageType>`, `Constable`

Enclosing class:
  `VariableReference`

public static enum VariableReference.VariableUsageType extends Enum<VariableReference.VariableUsageType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CI_PROPERTY`
  `DEFAULT`
  `FOLDER`
  `GLOBAL`
  `PASSWORD`
  `SCRIPT_RESULT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPriority()`
  `boolean`
  `hasHigherPriorityThan(VariableReference.VariableUsageType variableType)`
  `static VariableReference.VariableUsageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VariableReference.VariableUsageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final VariableReference.VariableUsageType DEFAULT

  - ### CI_PROPERTY

    public static final VariableReference.VariableUsageType CI_PROPERTY

  - ### GLOBAL

    public static final VariableReference.VariableUsageType GLOBAL

  - ### FOLDER

    public static final VariableReference.VariableUsageType FOLDER

  - ### SCRIPT_RESULT

    public static final VariableReference.VariableUsageType SCRIPT_RESULT

  - ### PASSWORD

    public static final VariableReference.VariableUsageType PASSWORD

- ## Method Details

  - ### values

    public static VariableReference.VariableUsageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VariableReference.VariableUsageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPriority

    public int getPriority()

  - ### hasHigherPriorityThan

    public boolean hasHigherPriorityThan(VariableReference.VariableUsageType variableType)